#include <stdio.h>
#include "strbuf.h"

static inline int pflush(const char* str) {
	printf("%s", str);
	fflush(stdout);
	return 0;
}

int main(int argc, char** argv)
{
	string_buffer_t sb = create_string_buffer(0);
	append_buffer(sb, "Append test\n");
	append_buffer(sb, "Append test line 2\n");	
	append_buffer_fmt(sb, 100 /* expanded length of following */, "%s:%d\n", "one", 2); 
	append_buffer(sb, "Append test line 3\n");	
	pflush(sb->str);	
	
	/* clean up */
	delete_string_buffer(sb);
	
	return 0;
}
