#include <stdio.h>
#include <string.h>
#include "vacation.h"

static inline int pflush(const char* str) {
	printf("%s", str);
	fflush(stdout);
	return 0;
}

int main(int argc, char** argv)
{

	int ix;
	long l;
	vacation_msg_list_t vmsg_list = (vacation_msg_list_t) NULL;
	vacation_msg_t vmsg = (vacation_msg_t) NULL;
	
	vmsg_list = create_vacation_msg_list();
	
	for(ix = 0; ix < 2000; ++ix) {

		vmsg = create_vacation_msg();
		append_vacation_msg(vmsg_list, vmsg);
	
		append_to_vacation_msg(vmsg, "From: \"");
		append_to_vacation_msg(vmsg, "Marcia Bullerman");
		append_to_vacation_msg(vmsg, "\" ");
		append_to_vacation_msg(vmsg, "bullerma@luther.edu");
		append_to_vacation_msg(vmsg, "\r\n");
		append_to_vacation_msg(vmsg, "(mofo)\r\n");	
	}
	
	l = vacation_list_count(vmsg_list);
	printf("Count before free is: %ld\n", l);
	
	/* clean up */
	delete_vacation_msg_list(vmsg_list);
	
	return 0;
}
